<!DOCTYPE html>
<html xmlns:th="http://www.thyleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Modifica della Meta Turistica</title>
<link th:href = "@{/css/bootstrap.min.css}" rel="stylesheet">
</head>
<body>
	
	<div class="container">
	
		<h2>Modifica la Meta Turistica</h2>
		
		<form action="#" method="post" th:action="@{/mete/modifica_meta}" th:object="${meta}">
			<input type="hidden" th:field="*{meta_id}" />
			<label> Nome </label>
			<input type="text" th:field="*{meta_nome}" required />
			<br>
			<label> Citta' </label>
			<input type="text" th:field="*{meta_citta}" required />
			<br>
			<label> Paese </label>
			<input type="text" th:field="*{meta_paese}" required />
			<br>
			<label> Descrizione </label>
			<input type="text" th:field="*{meta_descrizione}"/>
			<br>	
			<input type="submit" value="salva"/>
		</form>
	</div>
	
		<div class="container">
		
			<h3>Lista Mete Simili</h3>
			
			<a href="#" th:href="@{|/mete/aggiungi_meta_simile/${meta.meta_id}}" class="btn btn-info" role="button">Aggiungi Meta Simile</a>
			
	     	<table class="table table-responsive table-bordered table-striped">
	     		<thead>
	     			<tr>
	     				<th style="width:100px" scope="col">Nome</th>
	     				<th style="width:100px" scope="col">Citta'</th>
	     				<th style="width:100px" scope="col">Paese</th>
	     				<th style="width:100px" scope="col">Descrizione</th>
	     				<th scope="col"></th>
	     			</tr>
	            </thead>
	            <tbody>
	                <tr th:each="meta : ${meteSimili}">
	                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_nome}"></td>
	                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_citta}"></td>
	                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_paese}"></td>
	                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_descrizione}"></td>
	                     
	                    <td> <a href="#" th:href="@{|/mete/${meta.meta_id}|}">dettagli</a> </td>
	                </tr>
	 			</tbody>
	        </table>
	     </div>






</body>
</html>